Skip to main content
POST
Create a new epic

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json
title
string
required
list_id
string
required
Example:

"114"

icon
object
content
string
Maximum string length: 102400
content_format
enum<string>
default:html

Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.

Available options:
html,
markdown
schema
integer | null
Example:

1

start_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

due_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

members
object[]
owner_id
string | null
priority
integer | null
Required range: 0 <= x <= 4
Example:

1

cover_image
object

Response

epic created

epic
object